Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Server

Notices

Reply
 
Thread Tools Search this Thread
Old 03-29-2024, 05:58 PM   #1
dchapman
Member
dchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the end
 
Posts: 11
Karma: 31956
Join Date: Mar 2024
Device: Lenovo Slim 71 Pro x
Content Server issues

Good day.

I am new here. Please be gentle.

Calibre 7.7.0 on Windows 11 Insider Preview.

This issue also occurred in earlier versions of Calibre.

Last fall the content server was working pretty well. Not terribly reliable but when it worked it worked well. I could connect from the localhost via a browser, from the LAN and from outside.

However, since early December the content server has not worked. Localhost, LAN, WAN, nothing happens. Port number unchanged. I tried HTTP and HTTPS.

I often get the error message:

------ begin error
calibre, version 7.7.0
ERROR: Unhandled exception: <b>ConnectionResetError</b>:[WinError 10054] An existing connection was forcibly closed by the remote host

calibre 7.7 embedded-python: True
Windows-10-10.0.22631-SP0 Windows ('64bit', 'WindowsPE')
('Windows', '10', '10.0.22631')
Python 3.11.5
Windows: ('10', '10.0.22631', 'SP0', 'Multiprocessor Free')
Interface language: None
EXE path: C:\Program Files\Calibre2\calibre.exe
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (2, 9, 0) && DeDRM (7, 2, 1) && Package KFX (from KFX Input) (2, 9, 0) && Barnes & Noble (1, 5, 3) && Fantastic Fiction (1, 6, 5) && Find Duplicates (1, 10, 9) && Goodreads (1, 8, 0) && Goodreads Sync (1, 16, 5) && KFX metadata reader (from KFX Input) (2, 9, 0) && From KFX (2, 9, 0) && KFX Input (2, 9, 0) && Set KFX metadata (from KFX Output) (2, 7, 0) && KFX Output (2, 7, 0) && Obok DeDRM (7, 2, 1) && Quality Check (1, 13, 10) && ePub Extended Metadata {Writer} (0, 11, 2) && ePub Extended Metadata {Reader} (0, 11, 2) && ePub Extended Metadata (0, 11, 2)
Traceback (most recent call last):
File "calibre\gui2\actions\device.py", line 243, in toggle_content_server
File "calibre\srv\embedded.py", line 145, in stop
File "calibre\srv\loop.py", line 758, in stop
File "calibre\srv\loop.py", line 688, in wakeup
File "calibre\srv\loop.py", line 682, in write_to_control
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host
------ end error

At this poiint I have always rebooted the computer as I am guessing this error is a Windows problem.

Any ideas?

Thanks,

David Chapman
dchapman is offline   Reply With Quote
Old 03-30-2024, 11:45 AM   #2
Cactus Chef
Addict
Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.Cactus Chef ought to be getting tired of karma fortunes by now.
 
Cactus Chef's Avatar
 
Posts: 324
Karma: 5736038
Join Date: Apr 2019
Device: Kobo Sage, Kobo Clara HD, Galaxy Tab S5e, Kindle 4th Gen
Mods might want to move this to the Calibre forum.
Cactus Chef is offline   Reply With Quote
Advert
Old 03-30-2024, 10:59 PM   #3
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 44,030
Karma: 22669822
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
This will be caused by a security/antivirus/firewall type program. Add exceptions for calibre.exe to such programs. You can also reboot in safe mode with networking to check.
kovidgoyal is offline   Reply With Quote
Old 04-01-2024, 11:26 PM   #4
dchapman
Member
dchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the end
 
Posts: 11
Karma: 31956
Join Date: Mar 2024
Device: Lenovo Slim 71 Pro x
Thank you for the response.

Would anti-virus or firewall effect a local browser connection? ie.
Connect/share -> Visit Content server in browser?

I did restart in safe mode with network. No change.

I also disabled the firewall and VPN (both Bitdefender). Windows Defender is disabled.

I tried mild swearing. No change.

Any other thoughts?


Thanks again.
dchapman is offline   Reply With Quote
Old 04-02-2024, 06:33 AM   #5
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 44,030
Karma: 22669822
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
antivirus definitely would, it tends to take exception to programs communicating with each other often. In this case the communication is actually between a pair of sockets in the same program (the server's "control" pipe).

From the traceback it looks like the error happens when you are stopping the server. So this shouldnt be critical anyway. Restarting calibre should be enough. No need to restart the computer.
kovidgoyal is offline   Reply With Quote
Advert
Old 04-30-2024, 04:14 PM   #6
dchapman
Member
dchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the end
 
Posts: 11
Karma: 31956
Join Date: Mar 2024
Device: Lenovo Slim 71 Pro x
Content Server Issues

Still struggling with this issue.

On occasion when I stop the server I get the following error. Restarting Calibre does not resolve this. Reboot is necessary.

----------

calibre, version 7.9.0
ERROR: Unhandled exception: <b>ConnectionResetError</b>:[WinError 10054] An existing connection was forcibly closed by the remote host

calibre 7.9 embedded-python: True
Windows-10-10.0.22631-SP0 Windows ('64bit', 'WindowsPE')
('Windows', '10', '10.0.22631')
Python 3.11.5
Windows: ('10', '10.0.22631', 'SP0', 'Multiprocessor Free')
Interface language: None
EXE path: C:\Program Files\Calibre2\calibre.exe
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (2, 10, 0) && DeDRM (7, 2, 1) && Package KFX (from KFX Input) (2, 10, 0) && Barnes & Noble (1, 5, 3) && Fantastic Fiction (1, 7, 0) && Find Duplicates (1, 10, 9) && Goodreads (1, 8, 1) && Goodreads Sync (1, 16, 5) && KFX metadata reader (from KFX Input) (2, 10, 0) && From KFX (2, 10, 0) && KFX Input (2, 10, 0) && Set KFX metadata (from KFX Output) (2, 7, 0) && KFX Output (2, 7, 0) && Obok DeDRM (7, 2, 1) && Quality Check (1, 13, 10) && ePub Extended Metadata {Writer} (0, 11, 2) && ePub Extended Metadata {Reader} (0, 11, 2) && ePub Extended Metadata (0, 11, 2)
Traceback (most recent call last):
File "calibre\gui2\actions\device.py", line 243, in toggle_content_server
File "calibre\srv\embedded.py", line 145, in stop
File "calibre\srv\loop.py", line 764, in stop
File "calibre\srv\loop.py", line 694, in wakeup
File "calibre\srv\loop.py", line 688, in write_to_control
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

----------

Thanks
dchapman is offline   Reply With Quote
Old 04-30-2024, 05:24 PM   #7
gbm
Wizard
gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.
 
Posts: 2,093
Karma: 8796704
Join Date: Jun 2010
Device: Kobo Clara HD,Hisence Sero 7 Pro RIP, Nook STR, jetbook lite
Change the server port defauth is 8080 I use 9095.

bernie
Quote:
Originally Posted by dchapman View Post
Still struggling with this issue.

On occasion when I stop the server I get the following error. Restarting Calibre does not resolve this. Reboot is necessary.

----------

calibre, version 7.9.0
ERROR: Unhandled exception: <b>ConnectionResetError</b>:[WinError 10054] An existing connection was forcibly closed by the remote host

calibre 7.9 embedded-python: True
Windows-10-10.0.22631-SP0 Windows ('64bit', 'WindowsPE')
('Windows', '10', '10.0.22631')
Python 3.11.5
Windows: ('10', '10.0.22631', 'SP0', 'Multiprocessor Free')
Interface language: None
EXE path: C:\Program Files\Calibre2\calibre.exe
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (2, 10, 0) && DeDRM (7, 2, 1) && Package KFX (from KFX Input) (2, 10, 0) && Barnes & Noble (1, 5, 3) && Fantastic Fiction (1, 7, 0) && Find Duplicates (1, 10, 9) && Goodreads (1, 8, 1) && Goodreads Sync (1, 16, 5) && KFX metadata reader (from KFX Input) (2, 10, 0) && From KFX (2, 10, 0) && KFX Input (2, 10, 0) && Set KFX metadata (from KFX Output) (2, 7, 0) && KFX Output (2, 7, 0) && Obok DeDRM (7, 2, 1) && Quality Check (1, 13, 10) && ePub Extended Metadata {Writer} (0, 11, 2) && ePub Extended Metadata {Reader} (0, 11, 2) && ePub Extended Metadata (0, 11, 2)
Traceback (most recent call last):
File "calibre\gui2\actions\device.py", line 243, in toggle_content_server
File "calibre\srv\embedded.py", line 145, in stop
File "calibre\srv\loop.py", line 764, in stop
File "calibre\srv\loop.py", line 694, in wakeup
File "calibre\srv\loop.py", line 688, in write_to_control
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

----------

Thanks
gbm is offline   Reply With Quote
Old 05-01-2024, 12:22 AM   #8
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 44,030
Karma: 22669822
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
That's some antivirus/security software deciding it doesnt like the content server. The connection it is interrupting is an internal control connection the server uses (a socket pair). This should never fail.
kovidgoyal is offline   Reply With Quote
Old 05-01-2024, 01:45 AM   #9
DNSB
Bibliophagist
DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.
 
DNSB's Avatar
 
Posts: 36,972
Karma: 148318166
Join Date: Jul 2010
Location: Vancouver
Device: Kobo Sage, Libra Colour, Lenovo M8 FHD, Paperwhite 4, Tolino epos
It could be an issue with the Windows 11 Insider Preview the OP is running. I've seen quite a few odd issues with calibre and Sigil running on my Win11 Insider Preview VM. Though I am wondering what Insider Preview level they are running since 10.0.22631, as far as I know, is a release build not an Insider Preview. Current Beta build would be 22635.3500 while Dev and Canary would be 26100.268. As far as I am aware, the last Beta 22631.2338 build was in Sept., 2023.

I can't get worked up over issues on Insider Preview builds. Well, maybe on the Release Preview channel since that is close to the next public release but any other level from Canary to Dev to Beta is a crapshoot.

OTOH, I run my Insider Preview VM as a vanilla setup. No 3rd party Antivirus, no 3rd party VPN to make it easier to locate the probable cause of a bug.

Last edited by DNSB; 05-01-2024 at 01:50 AM.
DNSB is offline   Reply With Quote
Old 05-01-2024, 08:56 PM   #10
dchapman
Member
dchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the end
 
Posts: 11
Karma: 31956
Join Date: Mar 2024
Device: Lenovo Slim 71 Pro x
Content Server Issues

Good day.

My apologies. This machine is not running Insider Preview.

--------
C:\Users\dchap>ver

Microsoft Windows [Version 10.0.22631.3527]

C:\Users\dchap>
--------

I'm going to see if i can find a way to make Bitdefender leave Calibre alone.

Thanks,
dchapman is offline   Reply With Quote
Old 05-20-2024, 08:02 PM   #11
dchapman
Member
dchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the end
 
Posts: 11
Karma: 31956
Join Date: Mar 2024
Device: Lenovo Slim 71 Pro x
Still working on this. Today I restarted Calibre in debug mode and the content server worked fine on local host, the LAN, and from outside. I thought this is promising. I then tried to get the server to work through the Bitdefender VPN. Now I'm back to not functioning at all. :-( VPN on or off no server. I do have a DynDNS account.
Below is the debug log from the most recent debug mode.

----------
Failed to initialize plugin: 'C:\\Users\\dchap\\AppData\\Roaming\\calibre\\plug ins\\Goodreads More Tags.zip'
Traceback (most recent call last):
File "calibre_plugins.goodreads_more_tags.config", line 12, in <module>
ImportError: cannot import name 'Qt' from 'qt' (C:\Program Files\Calibre2\app\bin\python-lib.bypy.frozen\qt\__init__.pyc)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "calibre\customize\ui.py", line 789, in initialize_plugins
File "calibre\customize\ui.py", line 76, in load_plugin
File "calibre\customize\zipplugin.py", line 306, in load
File "importlib\__init__.py", line 126, in import_module
File "<frozen importlib._bootstrap>", line 1204, in _gcd_import
File "<frozen importlib._bootstrap>", line 1176, in _find_and_load
File "<frozen importlib._bootstrap>", line 1147, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 690, in _load_unlocked
File "calibre\customize\zipplugin.py", line 205, in exec_module
File "calibre_plugins.goodreads_more_tags.__init__" , line 12, in <module>
File "calibre\customize\zipplugin.py", line 205, in exec_module
File "calibre_plugins.goodreads_more_tags.config", line 15, in <module>
ModuleNotFoundError: No module named 'PyQt4'
ApplicationPaletteChange event ignored
Using calibre Qt style: True
calibre Debug log
calibre 7.10 embedded-python: True
Windows-10-10.0.22631-SP0 Windows ('64bit', 'WindowsPE')
('Windows', '10', '10.0.22631')
Python 3.11.5
Windows: ('10', '10.0.22631', 'SP0', 'Multiprocessor Free')
Interface language: None
EXE path: C:\Program Files\Calibre2\calibre-debug.exe
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (2, 10, 0) && DeDRM (7, 2, 1) && Package KFX (from KFX Input) (2, 10, 0) && Barnes & Noble (1, 5, 5) && Fantastic Fiction (1, 7, 0) && Find Duplicates (1, 10, 9) && KFX metadata reader (from KFX Input) (2, 10, 0) && From KFX (2, 10, 0) && KFX Input (2, 10, 0) && Set KFX metadata (from KFX Output) (2, 7, 0) && KFX Output (2, 7, 0) && Obok DeDRM (7, 2, 1) && Quality Check (1, 13, 10) && ePub Extended Metadata {Writer} (0, 11, 2) && ePub Extended Metadata {Reader} (0, 11, 2) && ePub Extended Metadata (0, 11, 2)
calibre 7.10 embedded-python: True
Windows-10-10.0.22631-SP0 Windows ('64bit', 'WindowsPE')
('Windows', '10', '10.0.22631')
Python 3.11.5
Windows: ('10', '10.0.22631', 'SP0', 'Multiprocessor Free')
Interface language: None
EXE path: C:\Program Files\Calibre2\calibre-debug.exe
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (2, 10, 0) && DeDRM (7, 2, 1) && Package KFX (from KFX Input) (2, 10, 0) && Barnes & Noble (1, 5, 5) && Fantastic Fiction (1, 7, 0) && Find Duplicates (1, 10, 9) && KFX metadata reader (from KFX Input) (2, 10, 0) && From KFX (2, 10, 0) && KFX Input (2, 10, 0) && Set KFX metadata (from KFX Output) (2, 7, 0) && KFX Output (2, 7, 0) && Obok DeDRM (7, 2, 1) && Quality Check (1, 13, 10) && ePub Extended Metadata {Writer} (0, 11, 2) && ePub Extended Metadata {Reader} (0, 11, 2) && ePub Extended Metadata (0, 11, 2)
QPA platform: windows
devicePixelRatio: 1.75
logicalDpi: 96.0 x 96.0
physicalDpi: 142.875 x 142.89128205128205
[0.00] Starting up...
[0.01] Showing splash screen...
[0.26] splash screen shown
[0.26] Initializing db...
[0.38] db initialized
[0.38] Constructing main UI...
DEBUG: 0.0 obok::utilities.py - loading translations
DEBUG: 0.0 obok::dialogs.py - loading translations
DEBUG: 0.0 obok::config.py - loading translations
DEBUG: 0.0 obok::action_err.py - loading translations
[1.69] GUI main window shown
[1.91] main UI initialized...
[1.91] Hiding splash screen

----------

Thanks,
dchapman is offline   Reply With Quote
Old 05-22-2024, 10:44 AM   #12
dchapman
Member
dchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the enddchapman knows the complete value of PI to the end
 
Posts: 11
Karma: 31956
Join Date: Mar 2024
Device: Lenovo Slim 71 Pro x
Hi everyone.
I got the computer started in safe mode with networking, and when I started Calibre a window popped up telling me the Windows Defender Firewall was blocking Calibre and did I want too allow it through. I said yes and now the content server works fine.
I was under the impression that Windows Defender Firewall was disabled and the Bitdefender firewall was keeping me safe. I guess I was wrong.

Thanks,
dchapman is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Issues Downloading onto iPad with Content Server and Calibre Companion jesscat Calibre Companion 0 12-11-2019 05:25 PM
Minor issues with Content Server nqk Server 10 09-23-2018 08:41 PM
[Calibre Tweak] Content Server issues nqk Calibre 2 10-08-2014 05:11 AM
Calibre Companion minor issues - content server, micro sd card... TheoGeek Calibre Companion 6 06-28-2013 04:06 AM
Standalone content-server and Calibre Companion issues duckpuppy Devices 2 11-08-2012 07:54 AM


All times are GMT -4. The time now is 08:20 PM.


MobileRead.com is a privately owned, operated and funded community.